/*
 * Copyright (c) 2009-2010 Jose-Luis Lisani <joseluis.lisani@uib.es>
 * All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/* rgbprocess_lib.cpp */
void rgbprocess(unsigned char *input1, 
		unsigned char *input2,
		unsigned char *input3,
		int w, int h,
		unsigned char *output1,
		unsigned char *output2,
		unsigned char *output3,
		int wOut, int hOut,
		const char *option);

void RGBviewsparams(const char *nameparams);

void getRGBview(unsigned char *input, 
		int w, int h, unsigned char *I,
		unsigned char *output,
		int wview, int hview,
		float P[3], float u[3], float v[3]);

void combineviews(unsigned char *input1, unsigned char *input2, 
                  unsigned char *input3, unsigned char *output, 
                  int w, int h);

void combineviewsB(unsigned char *input1, unsigned char *input2, 
                   unsigned char *input3, unsigned char *output, 
                   int w, int h);

float computeRMSE(unsigned char *input1, unsigned char *input2,  
                  int w, int h, float &dmean);

int countcolors(unsigned char *input, int w, int h);

void RGB2VRML2(unsigned char *input, int w, int h, unsigned char *Idsty, 
               const char *nameout);




